<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <title>Your Bootstrap Page</title>

    <style>
        body {
            height: 100vh;
        }

        .bg-primary {

            &:focus {
                box-shadow: none;
            }
        }

        .correct-answer {
            background-color: #c3e6cb!important;
        }

        .incorrect-answer {
            background-color: #f8d7da!important;
            animation: shake 0.3s;
        }

        @keyframes shake {

            0%,
            100% {
                transform: translateX(0);
            }

            25%,
            75% {
                transform: translateX(-5px);
            }

            50% {
                transform: translateX(5px);
            }
        }
    </style>
</head>

<body>
    <div class="container h-100 w-100 d-flex align-items-center justify-content-center">
        <div class="card p-4" id="quizCard">
            <form>
                <fieldset>
                    <legend>Quiz: Question 1</legend>

                    <label for="question">Select the correct answer:</label><br>

                    <input type="button" id="option1" name="answer" value="correct answer" onclick="checkAnswer('option1')" class="btn bg-primary text-white mb-3">
                    <br>

                    <input type="button" id="option2" name="answer" value="wrong answer" onclick="checkAnswer('option2')" class="btn bg-primary text-white mb-3">
                    <br>

                    <input type="button" id="option3" name="answer" value="wrong answer" onclick="checkAnswer('option3')" class="btn bg-primary text-white mb-3">
                    <br> 

                    <input type="button" id="option4" name="answer" value="wrong answer" onclick="checkAnswer('option4')" class="btn bg-primary text-white mb-3">

                </fieldset>
            </form>
        </div>
    </div>

    <script>
        function checkAnswer(selectedOption) {
            var buttons = document.querySelectorAll('input[name="answer"]');
            
            buttons.forEach(function(button) {
                button.classList.remove('correct-answer', 'incorrect-answer');
            });

            if (selectedOption === "option1") {
                document.getElementById(selectedOption).classList.add('correct-answer');
                buttons.forEach(function(button) {
                button.disabled = true;
            });
            } else {
                document.getElementById(selectedOption).classList.add('incorrect-answer');
            }
        }
    </script>
</body>

</html>